
/********************************************************************************
 Author : CAC (CustomerApplications Center, Asia) 

 Date :	Jan,2013 

 File name : AD5662.h

 Description : Use the SPI(simulated by ADuC7026 GPIOs) to communicate with AD5662
 				(The AD5662 on EVAL-AD5750EBZ is used to set the Vin of AD5750 )

 Hardware plateform : ADuC7026 Eval Board Rev.B1 and EVAL-AD5750EBZ 	
********************************************************************************/

#ifndef _AD5662_H_
#define _AD5662_H_

#define MODE_NORMAL_OPERATION					0x0
#define MODE_1R_TO_GND							0x10000
#define MODE_100R_TO_GND						0x20000
#define MODE_THREE_STATE						0x30000


void AD5662_reg_write(unsigned int Mode, unsigned int RegisterData);

#endif

